org.codehaus.plexus.interpolation.reflection

## Class ReflectionValueExtractor

- java.lang.Object
- - org.codehaus.plexus.interpolation.reflection.ReflectionValueExtractor

    public class ReflectionValueExtractor
    extends java.lang.Object

NOTE: This class was copied from plexus-utils, to allow this library to stand completely self-contained.
Using simple dotted expressions extract the values from a MavenProject instance, For example we might want to extract a value like: project.build.sourceDirectory

Version:
  $Id$
Author:
  Jason van Zyl

### Method Summary

Methods
`static java.lang.Object` `evaluate(java.lang.String expression, java.lang.Object root)`
`static java.lang.Object` `evaluate(java.lang.String expression, java.lang.Object root, boolean trimRootToken)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### evaluate

    public static java.lang.Object evaluate(java.lang.String expression,
                            java.lang.Object root)
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### evaluate

    public static java.lang.Object evaluate(java.lang.String expression,
                            java.lang.Object root,
                            boolean trimRootToken)
                                     throws java.lang.Exception

Throws:
  `java.lang.Exception`